org.apache.ignite.internal.marshaller.optimized

## Class OptimizedMarshallerInaccessibleClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.marshaller.optimized.OptimizedMarshallerInaccessibleClassException

All Implemented Interfaces:
  Serializable

    public final class OptimizedMarshallerInaccessibleClassException
    extends IgniteCheckedException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OptimizedMarshallerInaccessibleClassException(String msg, ClassNotFoundException cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `inaccessibleClass()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OptimizedMarshallerInaccessibleClassException

    public OptimizedMarshallerInaccessibleClassException(String msg,
                                                         ClassNotFoundException cause)

### Method Detail

#### inaccessibleClass

    public String inaccessibleClass()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020